// SPDX-License-Identifier: Apache-2.0
import ValidatedRequest from "../../../../../core/validation/ValidatedArgs";
import FormatValidation from "../../FormatValidation";
export default class SetAmortizationHoldRequest extends ValidatedRequest {
    securityId;
    amortizationId;
    tokenHolder;
    tokenAmount;
    constructor({ securityId, amortizationId, tokenHolder, tokenAmount, }) {
        super({
            securityId: FormatValidation.checkHederaIdFormatOrEvmAddress(),
            tokenHolder: FormatValidation.checkHederaIdFormatOrEvmAddress(),
            tokenAmount: FormatValidation.checkAmount(),
        });
        this.securityId = securityId;
        this.amortizationId = amortizationId;
        this.tokenHolder = tokenHolder;
        this.tokenAmount = tokenAmount;
    }
}
